[IndVars] Eliminate op.with.overflow when possible
ClosedPublic

Authored by sanjoy on Apr 1 2016, 12:06 AM.

Details

Summary

If we can prove that an op.with.overflow intrinsic does not overflow, we
can get rid of the intrinsic, and replace it with non-wrapping
arithmetic.

Diff Detail

Repository
rL LLVM
sanjoy retitled this revision from to [IndVars] Eliminate op.with.overflow when possible.Apr 1 2016, 12:06 AM
sanjoy updated this object.
sanjoy added reviewers: atrick, regehr.
sanjoy added a subscriber: llvm-commits.
regehr accepted this revision.Apr 7 2016, 5:11 AM

LGTM

This revision is now accepted and ready to land.Apr 7 2016, 5:11 AM
atrick accepted this revision.Apr 9 2016, 8:45 PM

I like it!

This revision was automatically updated to reflect the committed changes.